--///////////////////////////////////////////////////////
-- Valkrana / Defines
--///////////////////////////////////////////////////////
-- // Base Leader Stuff
INSERT INTO Types (Type, Kind) VALUES ('LEADER_SAILOR_VALKRANA', 'KIND_LEADER');

INSERT INTO Leaders	(LeaderType, Name, Sex, InheritFrom, SceneLayers)
VALUES	('LEADER_SAILOR_VALKRANA', 'LOC_LEADER_SAILOR_VALKRANA_NAME', 'Female', 'LEADER_DEFAULT', 2);	

-- Leader-Specific Cities
-- We need these to exist before CivLeaders insert below if we want them in the same file, and we do.
CREATE TRIGGER sailor_insert_civilizationleaders
AFTER INSERT ON CivilizationLeaders
WHEN NEW.LeaderType = 'LEADER_SAILOR_VALKRANA'
BEGIN
	INSERT OR REPLACE INTO CityNames (CivilizationType, LeaderType, CityName, SortIndex)
	VALUES	(NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_KHWADAY',	-1),
			(NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_NIPPER_BAY', -1),
			(NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_GUGLIA',		-1),
			(NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_THE_BATTEN', -1),
			(NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_ATENAI',		-1),
			(NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_LACEDAE',	-1);
END;

-- If capital ain't monster city, add to city list.
CREATE TRIGGER sailor_insert_civilizationleaders_sssrashiensta
AFTER INSERT ON CivilizationLeaders
WHEN NEW.LeaderType = 'LEADER_SAILOR_VALKRANA' AND NEW.CapitalName != 'LOC_CITY_NAME_SAILOR_SSSRASHIENSTA'
BEGIN
	INSERT OR REPLACE INTO CityNames (CivilizationType, LeaderType, CityName, SortIndex)
	VALUES (NEW.CivilizationType, 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_SSSRASHIENSTA', -1);
END;
--

INSERT INTO CivilizationLeaders	(CivilizationType, LeaderType, CapitalName)
VALUES	('CIVILIZATION_RUSSIA', 'LEADER_SAILOR_VALKRANA', 'LOC_CITY_NAME_SAILOR_SSSRASHIENSTA');

INSERT INTO LeaderQuotes (LeaderType, Quote)
VALUES	('LEADER_SAILOR_VALKRANA', 'LOC_PEDIA_LEADERS_PAGE_LEADER_SAILOR_VALKRANA_QUOTE');	

INSERT INTO LoadingInfo (LeaderType, BackgroundImage, ForegroundImage, PlayDawnOfManAudio)
VALUES	('LEADER_SAILOR_VALKRANA', 'LEADER_SAILOR_VALKRANA_BACKGROUND', 'LEADER_SAILOR_VALKRANA_NEUTRAL', 0);	
-- Recycling BackgroundImage for SAILOR_VALKRANA_1 results in loss of aspect ratio in diplo screen; vice versa screws up loading tapestry.

-- // Traits
-- Spellbook functions table.
CREATE TABLE IF NOT EXISTS Sailor_Valkrana_Spells (SpellType text default null, Name text default null, Description text default null, PRIMARY KEY	(SpellType));
INSERT INTO Sailor_Valkrana_Spells (SpellType, Name, Description)
VALUES	('SPELL_1', 'LOC_SPELL_1_NAME', 'LOC_SPELL_1_DESCRIPTION'),
		('SPELL_2', 'LOC_SPELL_2_NAME', 'LOC_SPELL_2_DESCRIPTION'),
		('SPELL_3', 'LOC_SPELL_3_NAME', 'LOC_SPELL_3_DESCRIPTION'),
		('SPELL_4', 'LOC_SPELL_4_NAME', 'LOC_SPELL_4_DESCRIPTION');

INSERT INTO Types (Type, Kind)
VALUES	('TRAIT_LEADER_SAILOR_VALKRANA_UA', 'KIND_TRAIT'),
		('TRAIT_LEADER_UNIT_SAILOR_VALKRANA_UU', 'KIND_TRAIT');

INSERT INTO Traits (TraitType, Name, Description)
VALUES	('TRAIT_LEADER_SAILOR_VALKRANA_UA', 'LOC_TRAIT_LEADER_SAILOR_VALKRANA_UA_NAME', 'LOC_TRAIT_LEADER_SAILOR_VALKRANA_UA_DESCRIPTION'),
		('TRAIT_LEADER_UNIT_SAILOR_VALKRANA_UU', 'LOC_TRAIT_LEADER_UNIT_SAILOR_VALKRANA_UU_NAME', 'LOC_TRAIT_LEADER_UNIT_SAILOR_VALKRANA_UU_DESCRIPTION');

INSERT INTO LeaderTraits (LeaderType, TraitType)
VALUES	('LEADER_SAILOR_VALKRANA', 'TRAIT_LEADER_SAILOR_VALKRANA_UA'),
		('LEADER_SAILOR_VALKRANA', 'TRAIT_LEADER_UNIT_SAILOR_VALKRANA_UU'),
		('LEADER_SAILOR_VALKRANA', 'TRAIT_LEADER_SCIENCE_MAJOR_CIV');

INSERT INTO TraitModifiers (TraitType, ModifierId)
VALUES	('TRAIT_LEADER_SAILOR_VALKRANA_UA',	'SAILOR_VALKRANA_UA_RELIC_SLOT');

-- // UU Building Modifiers
INSERT INTO BuildingModifiers (BuildingType, ModifierId)
VALUES	('BUILDING_LIBRARY', 'SAILOR_VALKRANA_UU_ABILITY_LIBRARY'),
		('BUILDING_UNIVERSITY', 'SAILOR_VALKRANA_UU_ABILITY_UNIVERSITY'),
		('BUILDING_RESEARCH_LAB', 'SAILOR_VALKRANA_UU_ABILITY_RESEARCHLAB');

-- // Abilities
INSERT INTO Types (Type, Kind) 
VALUES	('ABILITY_SAILOR_VALKRANA_SPELL2', 'KIND_ABILITY'),
		-- AI Formations. See lua for details.
		('ABILITY_SAILOR_VALKRANA_AI_CORPS', 'KIND_ABILITY'),
		('ABILITY_SAILOR_VALKRANA_AI_ARMY', 'KIND_ABILITY');

INSERT INTO TypeTags (Type, Tag)
VALUES	('ABILITY_SAILOR_VALKRANA_SPELL2', 'CLASS_ALL_COMBAT_UNITS'),
		('ABILITY_SAILOR_VALKRANA_AI_CORPS', 'CLASS_SAILOR_VALKRANA_UU'),
		('ABILITY_SAILOR_VALKRANA_AI_ARMY', 'CLASS_SAILOR_VALKRANA_UU');

INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive, Permanent) 
VALUES	('ABILITY_SAILOR_VALKRANA_SPELL2', 'LOC_ABILITY_SAILOR_VALKRANA_SPELL2_NAME', 'LOC_ABILITY_SAILOR_VALKRANA_SPELL2_DESCRIPTION', 1, 1),
		('ABILITY_SAILOR_VALKRANA_AI_CORPS', NULL, NULL, 1, 1),
		('ABILITY_SAILOR_VALKRANA_AI_ARMY', NULL, NULL, 1, 1);

INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId)
VALUES	('ABILITY_SAILOR_VALKRANA_SPELL2', 'SAILOR_VALKRANA_BARRIER'),
		('ABILITY_SAILOR_VALKRANA_AI_CORPS', 'SAILOR_VALKRANA_AI_CORPS_MODIFIER'),
		('ABILITY_SAILOR_VALKRANA_AI_ARMY', 'SAILOR_VALKRANA_AI_ARMY_MODIFIER');

-- Library Workaround
-- Buildings need a base relic slot in order for slots granted by modifier to function properly.
-- So set it to 0 base slot to initialize. Thanks to Leugi for the idea to use 0 for this purpose.
INSERT INTO Building_GreatWorks (BuildingType, GreatWorkSlotType, NumSlots)
VALUES	('BUILDING_LIBRARY', 'GREATWORKSLOT_RELIC', 0);

-- // Modifiers
INSERT INTO Modifiers (ModifierId,					ModifierType, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	-- Skeleton Abilities
		('SAILOR_VALKRANA_UU_ABILITY_LIBRARY',		'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', NULL, NULL),
		('SAILOR_VALKRANA_UU_ABILITY_UNIVERSITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', NULL, NULL),
		('SAILOR_VALKRANA_UU_ABILITY_RESEARCHLAB',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', NULL, NULL),
		-- Relic Slots
		('SAILOR_VALKRANA_UA_RELIC_SLOT',			'MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_GREAT_WORK_SLOTS', NULL, NULL),
		-- Barrier Spell
		('SAILOR_VALKRANA_BARRIER',					'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', NULL, 'SAILOR_VALKRANA_BARRIER_REQUIREMENTS'),
		-- AI Formations
		('SAILOR_VALKRANA_AI_CORPS_MODIFIER',		'MODIFIER_PLAYER_UNIT_ADJUST_MILITARY_FORMATION', NULL, NULL),
		('SAILOR_VALKRANA_AI_ARMY_MODIFIER',		'MODIFIER_PLAYER_UNIT_ADJUST_MILITARY_FORMATION', NULL, NULL);

INSERT INTO ModifierArguments (ModifierId, Name, Value)
VALUES	('SAILOR_VALKRANA_UU_ABILITY_LIBRARY', 'AbilityType', 'ABILITY_SAILOR_VALKRANA_UU_LIBRARY'),
		('SAILOR_VALKRANA_UU_ABILITY_UNIVERSITY', 'AbilityType', 'ABILITY_SAILOR_VALKRANA_UU_UNIVERSITY'),
		('SAILOR_VALKRANA_UU_ABILITY_RESEARCHLAB', 'AbilityType', 'ABILITY_SAILOR_VALKRANA_UU_RESEARCHLAB'),
		('SAILOR_VALKRANA_UA_RELIC_SLOT', 'Amount', 1),
		('SAILOR_VALKRANA_UA_RELIC_SLOT', 'BuildingType', 'BUILDING_LIBRARY'),
		('SAILOR_VALKRANA_UA_RELIC_SLOT', 'GreatWorkSlotType', 'GREATWORKSLOT_RELIC'),
		('SAILOR_VALKRANA_BARRIER', 'Amount', 10),
		('SAILOR_VALKRANA_AI_CORPS_MODIFIER', 'MilitaryFormationType', 'CORPS_MILITARY_FORMATION'),
		('SAILOR_VALKRANA_AI_ARMY_MODIFIER', 'MilitaryFormationType', 'ARMY_MILITARY_FORMATION');

INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('SAILOR_VALKRANA_BARRIER', 'Preview', 'LOC_SAILOR_VALKRANA_BARRIER_PREVIEW_TEXT');

-- // Requirements
INSERT OR REPLACE INTO RequirementSets (RequirementSetId, RequirementSetType) 
VALUES	('SAILOR_VALKRANA_BARRIER_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL'),
		('SAILOR_IS_VALKRANA_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');

INSERT OR REPLACE INTO RequirementSetRequirements (RequirementSetId, RequirementId)
VALUES	('SAILOR_VALKRANA_BARRIER_REQUIREMENTS', 'PLAYER_IS_DEFENDER_REQUIREMENTS'),
		('SAILOR_IS_VALKRANA_REQUIREMENTS', 'SAILOR_REQUIRES_VALKRANA');

INSERT OR REPLACE INTO Requirements (RequirementId, RequirementType)
VALUES	('SAILOR_REQUIRES_VALKRANA', 'REQUIREMENT_PLAYER_LEADER_TYPE_MATCHES');

INSERT OR REPLACE INTO RequirementArguments (RequirementId, Name, Value)
VALUES	('SAILOR_REQUIRES_VALKRANA', 'LeaderType', 'LEADER_SAILOR_VALKRANA');

-- // UnitNames
INSERT INTO UnitNames (ID, NameType, TextKey) SELECT MAX(ID)+1 AS ID, 'SUFFIX_ALL', 'LOC_UNITNAME_SUFFIX_SAILOR_SKELETONS' FROM UnitNames;
INSERT INTO UnitNames (ID, NameType, TextKey) SELECT MAX(ID)+1 AS ID, 'SUFFIX_MONK', 'LOC_UNITNAME_SUFFIX_SAILOR_SKELETONS' FROM UnitNames;
INSERT INTO UnitNames (ID, NameType, TextKey) SELECT MAX(ID)+1 AS ID, 'SUFFIX_RECON', 'LOC_UNITNAME_SUFFIX_SAILOR_SKELETONS' FROM UnitNames;
INSERT INTO UnitNames (ID, NameType, TextKey) SELECT MAX(ID)+1 AS ID, 'SUFFIX_CAVALRY', 'LOC_UNITNAME_SUFFIX_SAILOR_SKELETONS' FROM UnitNames;
INSERT INTO UnitNames (ID, NameType, TextKey) SELECT MAX(ID)+1 AS ID, 'SUFFIX_RANGED', 'LOC_UNITNAME_SUFFIX_SAILOR_SKELETONS' FROM UnitNames;

INSERT INTO LeaderAnimations (Leader, Name, Sequence)
VALUES ('LEADER_SAILOR_VALKRANA', 'KUDOS', 'KUDOS_VALK');

-- // Religion - Praise Ilyana
INSERT INTO Types (Type, Kind) VALUES ('RELIGION_SAILOR_ILYANA', 'KIND_RELIGION');

INSERT INTO Religions (ReligionType, Name, IconString, Color)
VALUES	('RELIGION_SAILOR_ILYANA', 'LOC_RELIGION_SAILOR_ILYANA', 'Il', 'COLOR_RELIGION_SAILOR_ILYANA');

INSERT INTO Colors (Type, Color)
VALUES	('COLOR_RELIGION_SAILOR_ILYANA', '252,73,178,255');

INSERT INTO FavoredReligions (LeaderType, ReligionType) VALUES ('LEADER_SAILOR_VALKRANA', 'RELIGION_SAILOR_ILYANA');

-- // Secret Society & Hero Modes
-- Reduce GSP to 1 if either is active.
UPDATE Traits SET Description = 'LOC_TRAIT_LEADER_SAILOR_VALKRANA_UA_DESCRIPTION_MODE' WHERE TraitType = 'TRAIT_LEADER_SAILOR_VALKRANA_UA'
AND	EXISTS (SELECT Kind FROM Kinds WHERE Kind = 'KIND_SECRETSOCIETY');